OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | List of all members
LeafNode< T, Log2Dim >::ValueConverter< OtherValueType > Struct Template Reference

ValueConverter<T>::Type is the type of a LeafNode having the same dimensions as this node but a different value type, T. More...

`#include <openvdb/tree/LeafNode.h>`

## Public Types
using | Type = LeafNode< OtherValueType, Log2Dim >

## Detailed Description

template<typename T, Index Log2Dim>
template<typename OtherValueType>
struct openvdb::v11_0::tree::LeafNode< T, Log2Dim >::ValueConverter< OtherValueType >

ValueConverter<T>::Type is the type of a LeafNode having the same dimensions as this node but a different value type, T.

## Member Typedef Documentation

## ◆ Type

template<typename T , Index Log2Dim>
template<typename OtherValueType >

using Type = LeafNode<OtherValueType, Log2Dim>